---
title: Download Hub
draft: false
aliases:
  - Download Hub
lastmod: 2024-10-17
---

This [[guides/index|guide]] is designed to help you easily find and download the version of Zen Browser that best fits your operating system and hardware. Whether you're using Windows, Linux, or macOS, you'll find both optimized and generic builds, along with portable and installer options to suit your needs. If you're unsure which version is right for you, be sure to check out our guide on [[generic-optimized | choosing between the generic and optimized builds]]

> [!faq]- Want to know the difference between Generic and Optimized?
> ![[generic-optimized#Differences between the optimized and generic builds]]

# Stable

## Windows 🪟

- ### Optimized 🚀
    
	- [Installer 🚀](https://github.com/zen-browser/desktop/releases/latest/download/zen.installer.exe)
	- [Portable 📦](https://github.com/zen-browser/desktop/releases/latest/download/zen.win-specific.zip)

- ### Generic 👴
    
	- [Installer 🚀](https://github.com/zen-browser/desktop/releases/latest/download/zen.installer-generic.exe)
	- [Portable 📦](https://github.com/zen-browser/desktop/releases/latest/download/zen.win-generic.zip)

## Linux 🐧

- ### Optimized 🚀
    
	- [AppImage 🚀](https://github.com/zen-browser/desktop/releases/latest/download/zen-specific.AppImage)
	- [Portable 📦 `tar.bz2`](https://github.com/zen-browser/desktop/releases/latest/download/zen.linux-specific.tar.bz2)
	- [Arch User Repository 📂 `AUR`](https://aur.archlinux.org/packages/zen-browser-avx2-bin)
	- [Pacstall `comunity`](https://pacstall.dev/packages/zen-browser-specific-bin)
	  
- ### Generic 👴
    
	- [AppImage 🚀](https://github.com/zen-browser/desktop/releases/latest/download/zen-generic.AppImage)
	- [Portable 📦 `tar.bz2`](https://github.com/zen-browser/desktop/releases/latest/download/zen.linux-generic.tar.bz2)
	- [Arch User Repository 📂 `AUR`](https://aur.archlinux.org/packages/zen-browser-bin) 
	- [Pacstall `community`](https://pacstall.dev/packages/zen-browser-generic-bin)
	- [Flatpak 🌐](https://flathub.org/apps/io.github.zen_browser.zen)  
	  ```bash
	  flatpak install flathub io.github.zen_browser.zen
	  ```


## MacOS 🍎

- ### AArch64 💻
	    
	- [DMG File 🗂️](https://github.com/zen-browser/desktop/releases/latest/download/zen.macos-aarch64.dmg)
    
- ### Intel 💽

	- [DMG File 🗂️](https://github.com/zen-browser/desktop/releases/latest/download/zen.macos-x64.dmg)

# Twilight

>[!caution] This is an automated daily build for testing purposes. So expect bug on this version.

## Windows 🪟

- ### Optimized 🚀
    
	- [Installer 🚀](https://github.com/zen-browser/desktop/releases/download/twilight/zen.installer.exe)
	- [Portable 📦](https://github.com/zen-browser/desktop/releases/download/twilight/zen.win-specific.zip)

- ### Generic 👴
    
	- [Installer 🚀](https://github.com/zen-browser/desktop/releases/download/twilight/zen.installer-generic.exe)
	- [Portable 📦](https://github.com/zen-browser/desktop/releases/download/twilight/zen.win-generic.zip)

## Linux 🐧

- ### Optimized 🚀
    
	- [AppImage 🚀](https://github.com/zen-browser/desktop/releases/download/twilight/zen-specific.AppImage)
	- [Portable 📦 `tar.bz2`](https://github.com/zen-browser/desktop/releases/download/twilight/zen.linux-specific.tar.bz2)
	- [Arch User Repository 📂 `AUR`](https://aur.archlinux.org/packages/zen-twilight-avx2-bin)
	  
- ### Generic 👴
    
	- [AppImage 🚀](https://github.com/zen-browser/desktop/releases/download/twilight/zen-generic.AppImage)
	- [Portable 📦 `tar.bz2`](https://github.com/zen-browser/desktop/releases/download/twilight/zen.linux-generic.tar.bz2)
	- [Arch User Repository 📂 `AUR`](https://aur.archlinux.org/packages/zen-twilight-bin) 


## MacOS 🍎

- ### AArch64 💻
	    
	- [DMG File 🗂️](https://github.com/zen-browser/desktop/releases/download/twilight/zen.macos-aarch64.dmg)
    
- ### Intel 💽

	- [DMG File 🗂️](https://github.com/zen-browser/desktop/releases/download/twilight/zen.macos-x64.dmg)
